from os.path import getsize
import Image, ImageFile


class FFTMapTextureImageFile (ImageFile.ImageFile):
    format = "FFTMAPTEX"
    format_description = "Final Fantasy Tactics Map Textures"

    def _open (self):
        if getsize(self.fp.name) != 131072:
            raise SyntaxError
        self.mode = "F"
        self.size = 256, 1024
        self.tile = [
                ("bit", (0,0) + self.size, 0, (4, 0, 2))
        ]


Image.register_open("FFTMAPTEX", FFTMapTextureImageFile)
